[ITP] mpfi-1.5.3: multiple precision floating-point interval library

Lemures Lemniscati lemures.lemniscati@gmail.com
Mon Aug 30 11:57:50 GMT 2021


Hi !

[ITP] A new package proposal: mpfi

* libmpfi-devel-1.5.3-1
* libmpfi-doc-1.5.3-1
* libmpfi0-1.5.3-1

* mpfi-1.5.3-1-src
* mpfi-debuginfo-1.5.3-1


====

mpfi 1.5.3

Summary: MPFI: Multiple Precision Floating-Point Interval Library
Description:
  A library for interval arithmetic,
  which is built upon the MPFR multiple precision floating-point
  arithmetic library.
License: LGPL2.1
Category: Math Libs

Homepage: https://gitlab.inria.fr/mpfi/mpfi/
News: https://gitlab.inria.fr/mpfi/mpfi/-/blob/1.5.3/mpfi/NEWS


====
Corresponding Linux/Unix packages are searched:
  https://repology.org/project/mpfi/versions

Current cygport file is in a git repository:
  https://github.com/cygwin-lem/mpfi-cygport/tree/mpfi-1.5.3-1

Current package files are placed at
  https://cygwin-lem.github.io/mpfi-cygport/
or in a git branch
    https://github.com/cygwin-lem/mpfi-cygport/tree/mpfi-1.5.3-1_gh-pages

====

Although mpfi-1.5.4 is released, it seems to be left incomplete and
unable to pass its testsuite.
So, I guess, mpfi-1.5.3 is better than 1.5.4.



Regards,

--
Lem


More information about the Cygwin-apps mailing list